package tech.nevets.jaml.objects;

import java.net.URL;

public class Version {
    private String id;
    private String type;
    private URL url;

    public Version() {}

    public Version(String id, String type, URL url) {
        this.id = id;
        this.type = type;
        this.url = url;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public URL getUrl() {
        return url;
    }

    public void setUrl(URL url) {
        this.url = url;
    }

    public String toString() {
        return "version: " + id + ", type: " + type + ", json url: " + url;
    }
}